## emacspeak 53.0+dfsg

=== Makefile ===
# $Author: tv.raman.tv $
# Description:  Makefile for Emacspeak
# Keywords: Emacspeak,  TTS,Makefile
# {{{ LCD Entry:

# LCD Archive Entry:
# emacspeak| T. V. Raman |raman@cs.cornell.edu
# A speech interface to Emacs |
# Location undetermined
#

# }}}
# {{{ Copyright:

#Copyright (C) 1995 -- 2017, T. V. Raman

# Copyright (c) 1994, 1995 by Digital Equipment Corporation.
# All Rights Reserved.
#
# This file is not part of GNU Emacs, but the same permissions apply.
#
# GNU Emacs is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# GNU Emacs is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Emacs; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

# }}}
# {{{ Configuration
.POSIX:
MAKE=make
MAKEFLAGS=--no-print-directory
prefix = /usr
SRC = $(shell pwd)
README = README

# }}}
# {{{  User level targets emacspeak info  outloud espeak 

emacspeak:
	@test -f  lisp/emacspeak-loaddefs.el || $(MAKE) config
	@cd lisp && $(MAKE)  --no-print-directory
	@make   $(README)
	@chmod 644 $(README)
	@echo "See the NEWS file for a  summary of new features — Control e cap n in Emacs"
	@echo "See Emacspeak Customizations for customizations — control e cap C in Emacs"
	@echo  "Read the Emacspeak Manual — Control e TAB in Emacs"
	@make install

outloud: 
	@cd servers/linux-outloud && $(MAKE) --no-print-directory || echo "Cant build Outloud server!"

espeak: 
	@cd servers/native-espeak && $(MAKE) --no-print-directory  || echo "Cant build espeak server!"

# }}}
# {{{  Maintainance targets   dist

GITVERSION=$(shell git show HEAD | head -1  | cut -b 8- )
README: 
	@rm -f README
	@echo "Emacspeak  Revision $(GITVERSION)" > $(README)
	@echo "Distribution created by `whoami` at `date`" >> $(README)
	@echo "Unpack the  distribution And type make config " >> $(README)
	@echo "Then type make" >> $(README)
EXCLUDES=-X .excludes --exclude-backups
dist:
	make ${README}
	tar cvf  emacspeak.tar $(EXCLUDES) .

# }}}
# {{{ User level target--  config

config:
	@cd etc && $(MAKE) config   --no-print-directory
	@cd lisp && $(MAKE) config --no-print-directory
	@echo "Configured emacspeak in directory $(SRC)."

# }}}
# {{{  complete build

all: emacspeak

help:
	@make -s
#clean, config and build (development)
q:
	make clean
	make config 
	make
	@cd lisp && make muggles --no-print-directory
	@cd lisp && make extra-muggles --no-print-directory
	@cd	 tvr && make  --no-print-directory

qq:
	make -s q 2>&1 |grep -v Loading  

# }}}
# {{{  user level target-- clean

clean:
	@cd lisp &&  $(MAKE) --no-print-directory clean

# }}}
# {{{ labeling releases

#label  releases when ready
LABEL=#version number
MSG="Releasing ${LABEL}"
release: #supply LABEL=NN.NN
	git tag -a -s ${LABEL} -m "Tagging release with ${LABEL}"
	git push --tags
	$(MAKE) dist
	mkdir emacspeak-${LABEL}; \
cd emacspeak-${LABEL} ;\
	tar xvf ../emacspeak.tar ; \
	rm -f ../emacspeak.tar ; \
cd .. ;\
	tar cvfj emacspeak-${LABEL}.tar.bz2 emacspeak-$(LABEL); \
	/bin/rm -rf emacspeak-${LABEL} ;\
	echo "Prepared release in emacspeak-${LABEL}.tar.bz2"
	./utils/emacspeak-ghr ${LABEL} "emacspeak-${LABEL}.tar.bz2"

# }}}
# {{{Install: 

install:
	@echo "To run  this Emacspeak build, add this  line to the top of your .emacs:"
	@echo "(load-file \"`pwd`/lisp/emacspeak-setup.el\")"
	@echo "If using espeak or outloud for TTS, "
	@echo "type make <engine> to first build that speech-server."
	@echo "Package maintainers: see   etc/install.org	 for instructions."

# }}}
# {{{Worktree:
# Usage make wk TAG=tag
wk:
	git worktree add ../${TAG} ${TAG}

# }}}
# {{{ end of file

#local variables:
#mode: makefile
#fill-column: 90
#folded-file: t
#end:

# }}}

=== blog-archive/Makefile ===
articles.html: full.xml
	xsltproc ../xsl/atom-view.xsl full.xml >articles.html

raw.xml:
	wget -O raw.xml 'http://emacspeak.blogspot.com/feeds/posts/default?max-results=1000'
	xmlindent -i 2  -l 75 -w raw.xml

=== lisp/Makefile ===
# $Author: tv.raman.tv $
# Description:  Makefile for Emacspeak
# Keywords: Emacspeak, TTS, Makefile
# {{{ LCD Entry:

# LCD Archive Entry:
# emacspeak| T. V. Raman |raman@cs.cornell.edu
# A speech interface to Emacs |
# $Date: 2007-06-24 15:56:04 -0700 (Sun, 24 Jun 2007) $ |
#  $Revision: 4673 $ |
# Location undetermined
#

# }}}
# {{{ Copyright:

#Copyright (C) 1995 -- 2017, T. V. Raman

# Copyright (c) 1994, 1995 by Digital Equipment Corporation.
# All Rights Reserved.
#
# This file is not part of GNU Emacs, but the same permissions apply.
#
# GNU Emacs is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# GNU Emacs is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Emacs; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

# }}}
# {{{make rules

.POSIX:
# what emacs is called on your system
EMACS = emacs
SRC="../lisp"
# How to run in batch mode
BATCH = -batch -q -no-site-file     \
-f package-initialize \
--eval '(setq file-name-handler-alist nil gc-cons-threshold 64000000 \
load-source-file-function  nil)' 
DEPS=-l $(SRC)/emacspeak-load-path.el -l $(SRC)/emacspeak-loaddefs.el 



COMPILE =  -f batch-byte-compile
# How to compile
%.elc:  %.el
	$(EMACS) $(BATCH)  $(DEPS)  $(COMPILE) $<

# }}}
# {{{  grouping files into dependent modules

#The various modules:
TTS_OBJECTS = acss-structure.elc \
dtk-interp.elc dtk-unicode.elc \
dtk-speak.elc		dectalk-voices.elc\
plain-voices.elc espeak-voices.elc \
outloud-voices.elc  mac-voices.elc

SPEAK_OBJECTS =   \
emacspeak-speak.elc  \
emacspeak-actions.elc \
voice-setup.elc \
emacspeak-pronounce.elc \
emacspeak-sounds.elc

CORE_OBJECTS =  \
emacspeak.elc \
emacspeak-setup.elc \
emacspeak-load-path.elc \
emacspeak-advice.elc\
emacspeak-keymap.elc\
emacspeak-fix-interactive.elc\
emacspeak-re-builder.elc \
emacspeak-rg.elc \
emacspeak-racer.elc \
emacspeak-rust-mode.elc \
emacspeak-table.elc \
emacspeak-table-ui.elc \
emacspeak-tabulate.elc \
amixer.elc \
emacspeak-abc-mode.elc \
emacspeak-add-log.elc \
emacspeak-amark.elc \
emacspeak-analog.elc \
emacspeak-ansi-color.elc \
emacspeak-apt-sources.elc \
emacspeak-arc.elc \
emacspeak-auctex.elc \
emacspeak-autoload.el \
emacspeak-bbc.elc \
emacspeak-bbdb.elc \
emacspeak-bibtex.elc \
emacspeak-bookmark.elc \
emacspeak-bookshare.elc \
emacspeak-browse-kill-ring.elc \
emacspeak-bs.elc \
emacspeak-buff-menu.elc \
emacspeak-c.elc \
emacspeak-comint.elc \
emacspeak-calc.elc \
emacspeak-calculator.elc \
emacspeak-calendar.elc \
emacspeak-chess.elc \
emacspeak-ciel.elc \
emacspeak-cider.elc \
emacspeak-clojure.elc \
emacspeak-cmuscheme.elc \
emacspeak-compile.elc \
emacspeak-company.elc \
emacspeak-cperl.elc \
emacspeak-custom.elc \
emacspeak-dbus.elc \
emacspeak-deadgrep.elc \
emacspeak-debugger.elc \
emacspeak-dictionary.elc \
emacspeak-desktop.elc \
emacspeak-diff-mode.elc \
emacspeak-dired.elc \
emacspeak-dismal.elc \
emacspeak-dumb-jump.elc \
emacspeak-epub.elc \
emacspeak-ecb.elc \
emacspeak-ein.elc \
emacspeak-ediff.elc \
emacspeak-eglot.elc \
emacspeak-elisp-refs.elc \
emacspeak-elscreen.elc \
emacspeak-eww.elc \
emacspeak-eclim.elc \
emacspeak-elfeed.elc \
emacspeak-enriched.elc \
emacspeak-xkcd.elc \
emacspeak-emms.elc \
emacspeak-entertain.elc \
emacspeak-epa.elc \
emacspeak-eperiodic.elc \
emacspeak-erc.elc \
emacspeak-eshell.elc \
emacspeak-ess.elc \
emacspeak-evil.elc \
emacspeak-eterm.elc \
emacspeak-eudc.elc \
emacspeak-feeds.elc \
emacspeak-filtertext.elc \
emacspeak-flycheck.elc \
emacspeak-flymake.elc \
emacspeak-flyspell.elc \
emacspeak-folding.elc \
emacspeak-forge.elc \
emacspeak-forms.elc \
emacspeak-geiser.elc \
emacspeak-gh-explorer.elc \
emacspeak-gnuplot.elc \
emacspeak-gnus.elc\
emacspeak-go-mode.elc \
emacspeak-gomoku.elc \
emacspeak-google.elc \
emacspeak-gridtext.elc \
emacspeak-gtags.elc \
emacspeak-gud.elc \
emacspeak-haskell.elc \
emacspeak-helm.elc \
emacspeak-hide.elc \
emacspeak-hideshow.elc \
emacspeak-hide-lines.elc  \
emacspeak-hydra.elc \
emacspeak-ibuffer.elc \
emacspeak-ido.elc \
emacspeak-iedit.elc \
emacspeak-ivy.elc \
emacspeak-info.elc\
emacspeak-ispell.elc \
emacspeak-jabber.elc \
emacspeak-indium.elc \
emacspeak-jdee.elc \
emacspeak-js2.elc \
emacspeak-kmacro.elc  \
emacspeak-librivox.elc \
emacspeak-lispy.elc \
emacspeak-lua.elc \
emacspeak-magit.elc \
emacspeak-m-player.elc \
emacspeak-make-mode.elc \
emacspeak-markdown.elc \
emacspeak-man.elc \
emacspeak-maths.elc \
emacspeak-message.elc \
emacspeak-metapost.elc \
emacspeak-midge.elc \
emacspeak-mines.elc \
emacspeak-muse.elc \
emacspeak-mspools.elc \
emacspeak-navi-mode.elc \
emacspeak-net-utils.elc \
emacspeak-newsticker.elc \
emacspeak-nov.elc \
emacspeak-ocr.elc \
emacspeak-org.elc \
emacspeak-orgalist.elc \
emacspeak-origami.elc \
emacspeak-nxml.elc \
emacspeak-outline.elc \
emacspeak-popup.elc \
emacspeak-package.elc \
emacspeak-paradox.elc \
emacspeak-perl.elc \
emacspeak-pianobar.elc \
emacspeak-proced.elc \
emacspeak-project.elc \
emacspeak-projectile.elc \
emacspeak-py.elc \
emacspeak-elpy.elc \
emacspeak-pydoc.elc \
emacspeak-python.elc \
emacspeak-racket.elc \
emacspeak-re-builder.elc \
emacspeak-reftex.elc \
emacspeak-rst.elc \
emacspeak-related.elc \
emacspeak-rpm-spec.elc \
emacspeak-rmail.elc \
emacspeak-ruby.elc \
emacspeak-sage.elc \
emacspeak-slime.elc \
emacspeak-ses.elc \
emacspeak-setup.el \
emacspeak-sgml-mode.elc \
emacspeak-shx.elc \
emacspeak-sh-script.elc \
emacspeak-smartparens.elc \
emacspeak-smart-window.elc \
emacspeak-solitaire.elc \
emacspeak-speedbar.elc \
emacspeak-syslog.elc \
ladspa.elc \
sox.elc \
soundscape.elc \
sox-gen.elc \
emacspeak-sdcv.elc \
emacspeak-sql.elc \
emacspeak-supercite.elc \
emacspeak-sudoku.elc \
emacspeak-etable.elc \
emacspeak-tab-bar.elc \
emacspeak-tapestry.elc \
emacspeak-tar.elc \
emacspeak-tcl.elc \
emacspeak-tempo.elc \
emacspeak-tetris.elc \
emacspeak-threes.elc \
emacspeak-tide.elc \
emacspeak-2048.elc \
emacspeak-texinfo.elc \
emacspeak-transient.elc \
emacspeak-todo-mode.elc \
emacspeak-twittering.elc \
emacspeak-typo.elc \
emacspeak-url-template.elc \
emacspeak-vdiff.elc \
emacspeak-view.elc \
emacspeak-vterm.elc \
emacspeak-vuiet.elc \
emacspeak-vm.elc \
emacspeak-wdired.elc \
emacspeak-we.elc \
emacspeak-webspace.elc \
emacspeak-websearch.elc \
emacspeak-widget.elc \
emacspeak-windmove.elc \
emacspeak-winring.elc \
emacspeak-woman.elc \
emacspeak-wizards.elc  \
emacspeak-xref.elc \
emacspeak-xslt.elc \
emacspeak-yaml.elc \
emacspeak-ytel.elc \
emacspeak-yasnippet.elc

ADDON_OBJECTS = \
nm.elc tapestry.elc dom-addons.elc  \
xbacklight.elc  toy-braille.elc tetris.elc cd-tool.elc  \
g-utils.elc gweb.elc gmaps.elc gm-nnir.elc 


OBJECTS = $(TTS_OBJECTS) $(SPEAK_OBJECTS) $(CORE_OBJECTS)  $(ADDON_OBJECTS)

# }}}
# {{{  User level targets all

all: $(OBJECTS)

muggles: emacspeak-muggles.elc 
extra-muggles: extra-muggles.elc
maths: emacspeak-maths.elc

force:

config: emacspeak-loaddefs.el   custom
lint:
	echo "." |\
emacs -batch -q \
-f package-initialize \
-l advice.el -l emacspeak-load-path.el  -l emacspeak-loaddefs.el \
-l g-utils.el \
-f elint-directory 

# }}}
# {{{build time target --loaddefs

emacspeak-loaddefs.el: force
	@echo ";;;Auto generated" > emacspeak-loaddefs.el
	$(EMACS) $(BATCH)  -l ./emacspeak-load-path.el  \
	-l ./emacspeak-autoload.el  \
	-f emacspeak-auto-generate-autoloads

custom: force
	$(EMACS) $(BATCH) -l ./emacspeak-load-path.el  -l cus-dep -l ./emacspeak-autoload.el \
-f emacspeak-auto-custom-make-dependencies "."
	cat cus-load.el  >> emacspeak-loaddefs.el
	rm -f cus-load.el

# }}}
# {{{  Make rules for the various modules

#dtk module:
#dtk-interp contains the interface to the interpreter
#Modules using functions from the dtk module should depend on dtk-speak

dtk-interp.elc: dtk-interp.el
dtk-unicode.elc: dtk-unicode.el
dtk-speak.elc: dtk-speak.el  dtk-interp.elc dtk-unicode.elc 
acss-structure.elc: acss-structure.el 
dectalk-voices.elc: dectalk-voices.el voice-setup.elc 
outloud-voices.elc: outloud-voices.el voice-setup.elc 
plain-voices.elc: plain-voices.el voice-setup.elc 
mac-voices.elc: mac-voices.el voice-setup.elc 
espeak-voices.elc: espeak-voices.el voice-setup.elc 
voice-setup.elc: voice-setup.el acss-structure.elc 
emacspeak-amark.elc: emacspeak-amark.el
cd-tool.elc: cd-tool.el
nm.elc: nm.el
amixer.elc: amixer.el

# Core Modules 
emacspeak-actions.elc: emacspeak-actions.el dtk-speak.elc
emacspeak-abc-mode.elc: emacspeak-abc-mode.el dtk-speak.elc 
emacspeak-add-log.elc: emacspeak-add-log.el dtk-speak.elc voice-setup.elc
emacspeak-advice.elc: emacspeak-advice.el dtk-speak.elc voice-setup.elc
emacspeak-analog.elc: emacspeak-analog.el dtk-speak.elc voice-setup.elc
emacspeak-ansi-color.elc: emacspeak-ansi-color.el dtk-speak.elc voice-setup.elc
emacspeak-apt-sources.elc: emacspeak-apt-sources.el dtk-speak.elc voice-setup.elc
emacspeak-arc.elc: emacspeak-arc.el dtk-speak.elc voice-setup.elc
emacspeak-auctex.elc: emacspeak-auctex.el dtk-speak.elc voice-setup.elc
emacspeak-autoload.elc: emacspeak-autoload.el
emacspeak-bbc.elc: emacspeak-bbc.el dtk-speak.elc voice-setup.elc
emacspeak-bbdb.elc: emacspeak-bbdb.el dtk-speak.elc voice-setup.elc
emacspeak-bibtex.elc: emacspeak-bibtex.el dtk-speak.elc voice-setup.elc
emacspeak-bookmark.elc: emacspeak-bookmark.el dtk-speak.elc voice-setup.elc
emacspeak-bookshare.elc: emacspeak-bookshare.el dtk-speak.elc voice-setup.elc 
emacspeak-browse-kill-ring.elc: emacspeak-browse-kill-ring.el dtk-speak.elc voice-setup.elc
emacspeak-bs.elc: emacspeak-bs.el dtk-speak.elc voice-setup.elc
emacspeak-buff-menu.elc: emacspeak-buff-menu.el dtk-speak.elc voice-setup.elc
emacspeak-c.elc: emacspeak-c.el dtk-speak.elc voice-setup.elc
emacspeak-comint.elc: emacspeak-comint.el dtk-speak.elc voice-setup.elc
emacspeak-cider.elc: emacspeak-cider.el dtk-speak.elc voice-setup.elc
emacspeak-clojure.elc: emacspeak-clojure.el dtk-speak.elc voice-setup.elc
emacspeak-cmuscheme.elc: emacspeak-cmuscheme.el dtk-speak.elc voice-setup.elc
emacspeak-ciel.elc: emacspeak-ciel.el dtk-speak.elc
emacspeak-calc.elc: emacspeak-calc.el
emacspeak-calculator.elc: emacspeak-calculator.el  dtk-speak.elc voice-setup.elc
emacspeak-calendar.elc: emacspeak-calendar.el dtk-speak.el
emacspeak-chess.elc: emacspeak-chess.el dtk-speak.elc voice-setup.elc
emacspeak-compile.elc: emacspeak-compile.el  dtk-speak.elc
emacspeak-company.elc: emacspeak-company.el dtk-speak.elc
emacspeak-cperl.elc: emacspeak-cperl.el dtk-speak.elc voice-setup.elc
emacspeak-custom.elc: emacspeak-custom.el dtk-speak.elc voice-setup.elc
emacspeak-cyclebuffer.elc: emacspeak-cyclebuffer.el dtk-speak.elc
emacspeak-epub.elc: emacspeak-epub.el dtk-speak.elc voice-setup.elc
emacspeak-dbus.elc: emacspeak-dbus.el dtk-speak.elc nm.elc
emacspeak-deadgrep.elc: emacspeak-deadgrep.el dtk-speak.elc
emacspeak-debugger.elc: emacspeak-debugger.el dtk-speak.elc
emacspeak-desktop.elc: emacspeak-desktop.el dtk-speak.elc voice-setup.elc
emacspeak-dictionary.elc: emacspeak-dictionary.el dtk-speak.elc voice-setup.elc
emacspeak-diff-mode.elc: emacspeak-diff-mode.el dtk-speak.elc voice-setup.elc
emacspeak-dired.elc: emacspeak-dired.el dtk-speak.elc voice-setup.elc
emacspeak-dismal.elc: emacspeak-dismal.el dtk-speak.elc voice-setup.elc
emacspeak-ecb.elc: emacspeak-ecb.el dtk-speak.elc voice-setup.elc
emacspeak-ein.elc: emacspeak-ein.el dtk-speak.elc voice-setup.elc
emacspeak-ediff.elc: emacspeak-ediff.el dtk-speak.elc voice-setup.elc
emacspeak-elisp-refs.elc: emacspeak-elisp-refs.el dtk-speak.elc voice-setup.elc

=== js/node/Makefile ===
all: 
	npm install

=== servers/linux-outloud/Makefile ===
#$Id$
# Now setup to use Voxin 1.6 with direct 64-bit support.
# Type make, run ./servers/outloud for running the server.
INSTALL = install
PREFIX = /usr
LIBPARENTDIR = ${PREFIX}/share/emacs/site-lisp
LIBDIR =$(LIBPARENTDIR)/emacspeak/servers/linux-outloud

TCL_VERSION=8.6
TCL_INCLUDE=/usr/include/tcl$(TCL_VERSION)
CFLAGS+= -g    -O4 -fPIC  -DPIC  -pedantic -ansi -Wall  -Wno-long-long -std=c++11 -I$(TCL_INCLUDE)
#CFLAGS+= -m32 -g    -O2 -fPIC  -DPIC  -pedantic -ansi -Wall  -Wno-long-long -I$(TCL_INCLUDE)
CXXFLAGS+= $(CFLAGS)
LIBS= -ltcl$(TCL_VERSION) -lasound -ldl    

all:   atcleci.so

atcleci.so: langswitch.o atcleci.o
	$(CXX) $(LDFLAGS)  -shared -o $@ langswitch.o atcleci.o $(LIBS)

clean:
	rm -f *.so *.o 

tidy:
	clang-tidy -header-filter=.*-checks='*' -fix-errors langswitch.cpp -- -std=c++11 -I/usr/include/tcl8.6 
	clang-tidy -header-filter=.*-checks='*' -fix-errors atcleci.cpp -- -std=c++11 -I/usr/include/tcl8.6 

install: atcleci.so
	$(INSTALL) -d $(DESTDIR)$(LIBDIR)
	$(INSTALL) $< $(DESTDIR)$(LIBDIR)

=== servers/native-espeak/Makefile ===
#$Id: Makefile 6198 2009-08-25 15:19:03Z tv.raman.tv $

INSTALL = install
PREFIX = /usr
LIBPARENTDIR = ${PREFIX}/share/emacs/site-lisp
LIBDIR =$(LIBPARENTDIR)/emacspeak/servers/native-espeak

CXXFLAGS+= -g    -O2 -fPIC  -DPIC  -pedantic -ansi \
-Wall -Wno-long-long --std=c++11

ifeq ($(shell uname -s), Darwin)

	# Mac OS land.
  LIBS= -framework tcl -lespeak-ng
  TTS=tclespeak.dylib
else
  TCL_VERSION = 8.6
  TCL_INCLUDE= /usr/include/tcl$(TCL_VERSION)
  LIBS= -ltcl$(TCL_VERSION) -lespeak-ng
  TTS=tclespeak.so
  CXXFLAGS+=-I$(TCL_INCLUDE)
endif

all:   $(TTS)

$(TTS): tclespeak.o
	$(CXX) $(LDFLAGS) -shared -o $@ $< $(LIBS)

clean:
	rm -f *.so *.o

tidy:
	clang-tidy -header-filter=.*-checks='*' -fix-errors tclespeak.cpp -- -std=c++11 -I/usr/include/tcl8.6 

install: $(TTS)
	$(INSTALL) -d $(DESTDIR)$(LIBDIR)
	$(INSTALL) $< $(DESTDIR)$(LIBDIR)

=== debian/changelog ===
emacspeak (53.0+dfsg-5) unstable; urgency=medium

  * rules: cope with emacspeak-loaddefs.el not getting generated with nocheck
    (Closes: Bug#1103310)

 -- Samuel Thibault <sthibault@debian.org>  Wed, 16 Apr 2025 20:09:04 +0200

emacspeak (53.0+dfsg-4) unstable; urgency=medium

  [ Carles Pina i Estany ]
  * Fix debconf template adduser command order.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 31 Mar 2025 23:08:51 +0200

emacspeak (53.0+dfsg-3) unstable; urgency=medium

  [ Samuel Thibault ]
  * watch: Use API instead of releases page.
  * source/lintian-overrides: Ignore warning about tips.html not having source.
  * emacspeak.lintian-overrides: Update overrides.

  [ Paul Gevers ]
  * Revert "Don't fail the test while the emacs Team is trying to figure
    out native compilation"
  * Create a temporary HOME for tests as otherwise emacs aborts

  [ Debian Janitor ]
  * Update lintian override info to new format on line 7.
  * Update standards version to 4.6.1, no changes needed.

  [ Michiel ]
  * debian/patches/emacspeak-proced-emacs-29: Fix build with emacs 29
    (Closes: Bug#1051402)

 -- Samuel Thibault <sthibault@debian.org>  Fri, 05 Apr 2024 22:43:40 +0200

emacspeak (53.0+dfsg-2) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Set Rules-Requires-Root to no.
  * control: Bump Standards-Version to 4.6.0 (no change)
  * control: Make Multi-Arch: foreign.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.1, no changes needed.

  [ Paul Gevers ]
  * Don't fail the test while the emacs Team is trying to figure out
    native compilation

 -- Paul Gevers <elbrus@debian.org>  Mon, 19 Sep 2022 22:09:08 +0200

emacspeak (53.0+dfsg-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 4.5.0 (no change)

  [ Paul Gevers ]
  * New upstream release 53.0
    - Strip upstream .ccls-cache directory
  * Refresh patches
  * Rewrite no-default-load-file-for-clojure patch as d/rules logic
  * Adapt for removed files
  * Fix lisp/Makefile when called from the root dir
  * emacsen-install: use of tempfile is deprecated

 -- Paul Gevers <elbrus@debian.org>  Sat, 30 Jan 2021 21:37:35 +0100

=== debian/control ===
Source: emacspeak
Section: editors
Priority: optional
Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
Uploaders: Paul Gevers <elbrus@debian.org>, Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper-compat (= 13),
               libespeak-ng-libespeak-dev,
               po-debconf,
               tcl-dev,
Build-Depends-Indep: csound,
                     docbook-xsl,
                     emacs-nox (>= 1:26.1~),
                     xsltproc,
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: http://emacspeak.sf.net
Vcs-Browser: https://salsa.debian.org/a11y-team/emacspeak
Vcs-Git: https://salsa.debian.org/a11y-team/emacspeak.git

Package: emacspeak
Architecture: all
Multi-Arch: foreign
Depends: adduser,
         debconf,
         emacs (>= 1:26.1~),
         make,
         perl,
         tcl,
         tclx8.4,
         ${misc:Depends},
         ${perl:Depends}
Recommends: emacspeak-espeak-server, sox
Suggests: eflite, emacspeak-ss, espeak, psgml, w3m-el, xsltproc
Description: speech output interface to Emacs
 Emacspeak is a speech output system that will allow someone who
 cannot see to work directly on a UNIX system.
 .
 Emacspeak is built on top of Emacs. Once Emacs is started with Emacspeak
 loaded, users get spoken feedback for all actions. As Emacs can do
 everything, they get speech feedback for everything they do.
 .
 This package recommends the speech server for the espeak (software)
 speech synthesizer, so it should work straight away. However it also
 contains the source for speech servers to support the DECtalk Express
 and DECtalk MultiVoice (hardware) speech synthesizers. For other
 synthesizers, look for speech server packages such as emacspeak-ss and
 eflite.

Package: emacspeak-espeak-server
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Enhances: emacspeak
Description: espeak synthesis server for emacspeak
 Emacspeak is a speech output system that will allow someone who
 cannot see to work directly on a UNIX system.
 .
 Emacspeak is built on top of Emacs. Once Emacs is started with Emacspeak
 loaded, users get spoken feedback for all actions. As Emacs can do
 everything, they get speech feedback for everything they do.
 .
 This package includes the speech server for the espeak (software)
 speech synthesizer.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

DEB_BUILD_MAINT_OPTIONS := hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

package=emacspeak
debbase := $(shell pwd)/debian
backup  := $(debbase)/backup
pkgtmp  := $(debbase)/$(package)
eldir   := usr/share/emacs/site-lisp/$(package)
deblsp  := $(pkgtmp)/$(eldir)
tmpdir  := $(debbase)/tmp/$(eldir)

%:
	dh $@

override_dh_auto_build-arch:
	dh_auto_build --sourcedirectory=servers/native-espeak -- TCL_VERSION=""

override_dh_auto_build-indep:
	echo $(DEB_VERSION) > debian_version

# Upstream doesn't ship a changelog file but NEWS-* basically contain what is needed
# so cat that all together. Not 100% elegant, but it will do for now.
	cat etc/NEWS-8.0 > changelog
	cat etc/NEWS-9.0 >> changelog
	cat etc/NEWS-[0-9][0-9]* >> changelog
	cat etc/NEWS >> changelog

	# The 3d auditory icon theme was generated using CSound, but it expects the
	# reference files in the same directory.
	ln -s /usr/share/csound/hrtf/*.dat sounds/3d/src/
	cd sounds/3d/src ; \
	for file in *.csd ; do \
		if [ ! "$$file" = interactive.csd ] ; then \
			csound -o ../$${file%csd}wav $$file ; \
		fi ; \
	done

	$(MAKE) --directory=etc tips.html applications.html

# Do not put a default load file when require with no-error.
# Calling require with the second argument non nil could lead Emacs to load the
# file without an extension, but some other package could put in the load path
# a file with such a name. Using nil as second argument let Emacs search for
# file to load in the normal way.
# Rémi Vanicat <vanicat@debian.org>
# https://bugs.debian.org/913025
	if [ ! -d $(backup) ] ; then \
		mkdir $(backup) ; \
	fi
	for file in $$(rgrep  -l "\" 'no-error" lisp/*) ; do \
		cp $$file $(backup)/ ; \
		sed -i "s/\"[^ ]*\" 'no-error/() 'no-error/" $$file ; \
	done

override_dh_auto_clean:
	debconf-updatepo

	$(MAKE) clean
	$(MAKE) --directory servers/native-espeak clean

# the following items should be done by the get-orig-source target, but
# leave them here just in case we might not need that target in the future
# the sources included some byte-compiled file by mistake
	find . -name \*.elc -delete
	find . -name \*.pyc -delete
	find . -name \*.pyo -delete

# removed created symlinks
	find sounds/3d/src -type l -name \*.dat -delete

# restore patched files
	if [ -d $(backup) ] ; then \
		for file in $(backup)/* ; do \
			mv $$file lisp/ ; \
		done ; \
	fi

	dh_clean

override_dh_auto_install-indep:
	dh_auto_install

	# Upstream stopped providing an install target. Instead it recommends to
	# "copy the resulting emacspeak directory to the install location". So,
	# let's do that, but prevent the debian sub dir to be copied, as I fear
	# that would lead to some level of recursive copying.
	#
	# Also strip out personal tvr stuff.
	#
	# For now, also don't install the bash-utils, as it requires some thinking
	# and tweaking for Debian to function properly.
	#
	# And, to avoid clutter from etc/, lets do that via emacspeak.install
	mkdir -p $(tmpdir)
	cp -pR $$(find . -maxdepth 1 -type d ! -name .\* ! -name bash-utils ! -name debian \
		! -name etc ! -name tvr -o -type f) $(tmpdir)

	# Obviously, now we need to remove the stuff we don't want here.
	find $(tmpdir) -name \*~ -delete
	find $(tmpdir) -name \*.elc -delete
	find $(tmpdir) -depth -name .\* -exec rm -r {} \;
	# Doesn't seem to make sense in a Debian package where we use emacspeak.sh
	# instead
	rm $(tmpdir)/run
	rm $(tmpdir)/runq
	# Already compiled and shipped in emacspeak-espeak-server
	rm -r $(tmpdir)/servers/native-espeak
	# Should be made into a proper package
	rm -r $(tmpdir)/servers/linux-outloud
	# Files for Mac, not for Debian
	rm -r $(tmpdir)/servers/mac
	rm -r $(tmpdir)/servers/log-mac
	# Source files
	rm -r $(tmpdir)/sounds/3d/src
	# Original convertion script, but useless now
	rm $(tmpdir)/sounds/pan-chimes/apply-pan.sh
	# Let it generated at configuration
	-rm $(tmpdir)/lisp/emacspeak-loaddefs.el

override_dh_auto_install-arch:

override_dh_install-indep:
	# Exclude the files that go into the documentation
	dh_install -Xdtk/DTK -Xetc/NEWS -XREADME -X.html -Xremote.txt -Xstumpwm
	# We will sed it at configuration
	mv debian/emacspeak/$(eldir)/etc/emacspeak.sh debian/emacspeak/$(eldir)/etc/emacspeak.sh.in

override_dh_fixperms-indep:
# Only fix the following in the indep case
# scripts and speech servers should be executable
	if [ -d $(deblsp) ] ; then \
		chmod 644 `find $(deblsp) -type f`; \
		chmod 755 $(deblsp)/etc/*.pl				\
			$(deblsp)/etc/*2text				\
			$(deblsp)/etc/emacspeak.sh.in          \
			$(deblsp)/servers/cloud*			\
			$(deblsp)/servers/dtk-exp			\
			$(deblsp)/servers/espeak			\
			$(deblsp)/servers/log-*			\
			$(deblsp)/servers/outloud			\
			$(deblsp)/servers/speech-server			\
			$(deblsp)/servers/ssh-dtk-exp			\
			$(deblsp)/servers/ssh-espeak			\
			$(deblsp)/servers/ssh-outloud ;			\
	fi

	dh_fixperms

override_dh_compress:
# NEWS can be called from emacspeak command, don't compress
	dh_compress -XNEWS

override_dh_auto_test-indep:
	dh_auto_test
	# To see if compiling the code works and we are not missing dependencies
	HOME=$(mtemp -d) $(MAKE)

=== debian/watch ===
version=3
opts=\
searchmode=plain,\
repacksuffix=+dfsg,\
dversionmangle=s/\+dfsg(\d*)// \
  https://api.github.com/repos/tvraman/@PACKAGE@/releases https://github.com/tvraman/@PACKAGE@/releases/download/\d[\.\d]*/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
